Subject: Re: bug#36167: [PATCH] Replace manually crafted hex regexes with [[:xdigit:]]

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jun 2019 20:53:44 +0300

> From: [email-masked]
> Cc: Drew Adams <[email-masked]>,  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 11 Jun 2019 13:50:49 -0400
> 
> The advantage of [0-9A-Fa-f] vs [[:xdigit:]] here is similar to
> explicit comparison against (point-min) vs (bobp) that you pointed
> out in #35967.

I'm not against the replacement, I responded to the request to have a
clear documentation of these character classes.  Which we do have, so
I was puzzled why people pretend we don't.